
SET NOCOUNT ON;

USE [WideWorldImporters];

DBCC FREEPROCCACHE;

DECLARE @StartDate1 DATE = '2017-01-01'
DECLARE @EndDate1 DATE = '2017-01-01'

EXEC [Sales].[usp_CustomerOrdersByDate] @StartDate1, @EndDate1

DECLARE @RowNum INT = 1;
DECLARE @TotalRows INT
DECLARE @StartDate DATE;
DECLARE @EndDate DATE;
DECLARE @DateRange INT;

DROP TABLE IF EXISTS #OrderDates;

SELECT 
	DISTINCT [OrderDate], 
	DENSE_RANK() OVER (ORDER BY [OrderDate]) AS RowNum
INTO #OrderDates
FROM [Sales].[Orders]

SELECT * FROM #OrderDates order by orderdate

SELECT @TotalRows = COUNT(*) FROM #OrderDates

WHILE 1=1
BEGIN

	SELECT @StartDate = (
		SELECT [OrderDate] 
		FROM #OrderDates
		WHERE RowNum = @RowNum)

	SET @EndDate = DATEADD(DAY, CONVERT (INT, RAND () * 50) + 1,@StartDate)
	
	Print ('range')
	PRINT @StartDate
	PRINT @EndDate

	EXEC [Sales].[usp_CustomerOrdersByDate] @StartDate, @EndDate 

	IF @RowNum <= @TotalRows
	BEGIN
		SET @RowNum = @RowNum + 1
	END
	ELSE
	BEGIN
		SET @RowNum = 1
	END
END