SET NOCOUNT ON;

USE [WideWorldImporters];

DECLARE @RowNum INT = 1;
DECLARE @Description VARCHAR(100);
DECLARE @TotalRows INT

DROP TABLE IF EXISTS #OrderLinesList;

SELECT 
	DISTINCT [Description], 
	DENSE_RANK() OVER (ORDER BY [Description]) AS RowNum
INTO #OrderLinesList
FROM [Sales].[OrderLines]

SELECT @TotalRows = COUNT(*) FROM #OrderLinesList

WHILE 1=1
BEGIN

	SELECT @Description = (
		SELECT [Description] 
		FROM #OrderLinesList
		WHERE RowNum = @RowNum)

	IF CHARINDEX('''',@Description) > 0
	BEGIN
		SET @Description = REPLACE(@Description, '''', '''''')
	END

	EXEC [Sales].[usp_FindOrderByDescription] @Description 

	IF @RowNum <= @TotalRows
	BEGIN
		SET @RowNum = @RowNum + 1
	END
	ELSE
	BEGIN
		SET @RowNum = 1
	END
END
